# CL-LMM

## Clone Repo

```bash
git submodule update --init --progress 
```

## Requirements

```bash
uv sync
uv sync --extra compile
```

## Scripts

```bash
uv run -- ./train.sh
uv run -- ./evaluation.sh
```

## Recommand Structure

```bash
.
├── install.sh
├── LICENSE
├── pyproject.toml
├── README.md
├── rsync.sh
├── src
│   ├── configs
│   ├── dataset_library
│   ├── evaluation.py
│   ├── evaluation.sh
│   ├── model_library
│   ├── peft_library
│   ├── todo.md
│   ├── train.py
│   ├── train.sh
│   └── utils
├── dataset
│   ├── chem
│   │   ├── conversations_loc_train.jsonl
│   │   ├── conversations_loc_val.jsonl
│   │   └── images
│   ├── OCR-VQA-200K
│   │   ├── dataset.json
│   │   ├── images
│   │   ├── LICENCE.txt
│   │   └── loadDataset.py
│   └── TextCaps
│       ├── TextCaps_0.1_train.json
│       ├── train_val_images.zip
│       └── wget-log
└── uv.lock
```
