#!/bin/bash

accelerate launch --config_file configs/accelerate_configs/deepspeed_zero1.yaml train.py \
    --dataset_name textvqa \
    --use_peft \
    --peft_type LORA \
    --model_name_or_path Qwen/Qwen2.5-Omni-3B \
    --lora_target_modules .\*proj.\*\|.\*fc.\*\|.\*mlp\.0\|.\*mlp\.2 \
    --lora_r 8 \
    --lora_alpha 32 \
    --per_device_train_batch_size 3 \
    --per_device_eval_batch_size 1 \
    --gradient_accumulation_steps 4 \
    --num_train_epochs 1 \
    --output_dir checkpoint/qwen2_alllinear/ \
    --learning_rate 5e-5 \
    --bf16 \
    --torch_dtype bfloat16 \
    --logging_steps 30 \
    --gradient_checkpointing \
    --weight_decay 0.1